cURL
curl -X GET "https://app.cotool.ai/api/alerts/:alertId" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"import requests
url = "https://app.cotool.ai/api/alerts/{alertId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.cotool.ai/api/alerts/{alertId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://app.cotool.ai/api/alerts/{alertId}")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/alerts/{alertId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"alert": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"displayId": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationName": "<string>",
"title": "<string>",
"description": "<string>",
"source": {},
"detection": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"originAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"originTriggerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"originRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"originDetectionHitId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"externalRef": "<string>",
"externalUrl": "<string>",
"assignedAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"triageRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dedupeKey": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"firstTriagedAt": "<string>",
"resolvedAt": "<string>",
"originAgentName": "<string>",
"assignedAgentName": "<string>",
"timeline": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"alertId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "<string>",
"actorUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actorAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actorRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actorUserName": "<string>",
"actorUserImageUrl": "<string>",
"kind": "<string>",
"bodyMarkdown": "<string>",
"metadata": {
"source": {},
"originDetectionHitId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"originTriggerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourcePayloadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"actorAgentName": "<string>"
}
]
}
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}Alerts
Get alert
Retrieve one alert and its initial timeline page.
GET
/
api
/
alerts
/
{alertId}
cURL
curl -X GET "https://app.cotool.ai/api/alerts/:alertId" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"import requests
url = "https://app.cotool.ai/api/alerts/{alertId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.cotool.ai/api/alerts/{alertId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://app.cotool.ai/api/alerts/{alertId}")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/alerts/{alertId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"alert": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"displayId": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationName": "<string>",
"title": "<string>",
"description": "<string>",
"source": {},
"detection": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"originAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"originTriggerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"originRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"originDetectionHitId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"externalRef": "<string>",
"externalUrl": "<string>",
"assignedAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"triageRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dedupeKey": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"firstTriagedAt": "<string>",
"resolvedAt": "<string>",
"originAgentName": "<string>",
"assignedAgentName": "<string>",
"timeline": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"alertId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "<string>",
"actorUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actorAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actorRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actorUserName": "<string>",
"actorUserImageUrl": "<string>",
"kind": "<string>",
"bodyMarkdown": "<string>",
"metadata": {
"source": {},
"originDetectionHitId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"originTriggerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourcePayloadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"actorAgentName": "<string>"
}
]
}
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}Authorizations
API Key authentication for programmatic access. Include your API key in the Authorization header as: Bearer your_api_key_here
Path Parameters
Alert UUID or human-readable display ID
Response
Successful response
Show child attributes
Show child attributes
Was this page helpful?
⌘I